org.omg.DynamicAny

## Class NameDynAnyPair

- java.lang.Object
- - org.omg.DynamicAny.NameDynAnyPair

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class NameDynAnyPair
      extends Object
      implements IDLEntity

  org/omg/DynamicAny/NameDynAnyPair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/DynamicAny/DynamicAny.idl Wednesday, May 6, 2015 8:21:21 AM BST

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `id` The name associated with the DynAny.
    `DynAny` | `value` The DynAny value associated with the name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameDynAnyPair()`
    `NameDynAnyPair(String _id, DynAny _value)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

      The name associated with the DynAny.

    - #### value

          public DynAny value

      The DynAny value associated with the name.

  - ### Constructor Detail

    - #### NameDynAnyPair

          public NameDynAnyPair()

    - #### NameDynAnyPair

          public NameDynAnyPair(String _id,
                        DynAny _value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.